const fs = require("fs");

// for development purposes we want to have the service-worker.js file
// accessible from the public folder. On build though, we need to compile it
// and CRA expects that file to be in src/ folder.
const moveServiceWorkerScript = () => {
  const oldPath = "./public/service-worker.js";
  const newPath = "./src/service-worker.js";

  fs.rename(oldPath, newPath, (error) => {
    if (error) {
      throw error;
    }
    console.info("public/service-worker.js moved to src/");
  });
};

// -----------------------------------------------------------------------------

moveServiceWorkerScript();
